All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.storage.olap
Interface CubeInterface

All Superinterfaces:
  MetadataEntityInterface

All Known Implementing Classes:
  Cube

    @SASScope(value="ALL")
    public interface CubeInterface

extends MetadataEntityInterface

Represents the metadata in a multidimensional cube. In addition to the basic information about the cube itself, the parent and child interfaces can also be retrieved directly from the CubeInterface. The getSchema() method returns the SchemaInterface which parents this cube, and the dimensions and measures can be retrieved with getDimensions() and getMeasures() respectively. The cube may also be bound to an instance of the MetadataInterface, which is accessible from the getMetadata() method.

See Also:
  `MetadataInterface`, `SchemaInterface`, `DimensionInterface`, `MeasureInterface`

Method Summary
`abstract DimensionInterface[]` | `getDimensions()` Returns the dimensions associated with this cube.
`abstract Filter` | `getFilter()` Returns a copy of the Filter object that was used to obtain this CubeInterface.
`abstract MeasureInterface[]` | `getMeasures()` Returns the measures associated with this cube.
`abstract java.lang.String` | `getNormalizedName()` Get the Normalized name for the cube.
`abstract SchemaInterface` | `getSchema()` Returns the name of the schema to which the cube belongs.
`abstract java.lang.String` | `getType()` Return the cube's type
`abstract boolean` | `isDrillThroughEnabled()` Check if the drillthrough is enabled for this cube.

Methods inherited from interface com.sas.storage.olap.MetadataEntityInterface
`getCreationDateTime, getDescription, getLabel, getMetadata, getName, getUniqueName, getUpdateDateTime`

Method Detail

### getNormalizedName

    java.lang.String getNormalizedName()
                                       throws OLAPException

  Get the Normalized name for the cube. This method is convenience method to avoid matching lower case and upper case.

  Returns:
    cube name either always uppercase or lowercase.
  Throws:
    `OLAPException`

### getType

    java.lang.String getType()
                             throws OLAPException

  Return the cube's type

  Returns:
    The type of cube
  Throws:
    `OLAPException` - if a database error occurs

### isDrillThroughEnabled

    boolean isDrillThroughEnabled()
                                  throws OLAPException

  Check if the drillthrough is enabled for this cube.

  Returns:
    true if the drillthrough is enabled, flase otherwise
  Throws:
    `OLAPException`

### getSchema

    SchemaInterface getSchema()
                              throws OLAPException

  Returns the name of the schema to which the cube belongs.

  Returns:
    The name of the schema to which the cube belongs.
  Throws:
    `OLAPException` - if a database error occurs

### getDimensions

    DimensionInterface[] getDimensions()
                                       throws OLAPException

  Returns the dimensions associated with this cube.

  Returns:
    An array of dimensions associated with this cube.
  Throws:
    `OLAPException` - if a database error occurs

### getMeasures

    MeasureInterface[] getMeasures()
                                   throws OLAPException

  Returns the measures associated with this cube.

  Returns:
    An array of measures associated with this cube.
  Throws:
    `OLAPException` - if a database error occurs

### getFilter

    Filter getFilter()
                     throws OLAPException

  Returns a copy of the Filter object that was used to obtain this CubeInterface. The filter object may be applied explicitly via the MetadataInterface, or it may be created implicitly via a getCubes() method.

  Returns:
    A copy of the Filter object that was used to obtain this CubeInterface
  Throws:
    `OLAPException` - if a database error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.